use crate::models::parameters::CommandRequest;
use crate::models::player::UserID;
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct AddItemParams {
    pub token: String,
    pub user_id: UserID,
    pub item_name: String,
    pub price: u32,
    pub quantity: u32,
    pub shop: String,
}

impl CommandRequest for AddItemParams {
    fn token(&self) -> String {
        self.token.clone()
    }

    fn user_id(&self) -> Option<UserID> {
        Some(self.user_id.clone())
    }
}
