use crate::models::parameters::CommandRequest;
use crate::models::player::UserID;
use crate::models::token::Permissions;
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct AddTokenParams {
    pub token: String,
    pub permissions: Vec<Permissions>,
}

impl CommandRequest for AddTokenParams {
    fn token(&self) -> String {
        self.token.clone()
    }

    fn user_id(&self) -> Option<UserID> {
        None
    }
}
