use crate::models::parameters::CommandRequest;
use crate::models::player::UserID;
use serde::{Deserialize, Serialize};

#[derive(Debug, Serialize, Deserialize, Clone)]
pub enum ItemSort {
    Price,
    Restock,
}

#[derive(Debug, Serialize, Deserialize, Clone)]
pub enum Order {
    High,
    Low,
}

#[derive(Debug, Serialize, Deserialize, Clone)]
pub struct SellingParams {
    pub token: String,
    pub query: String,
    pub sort: Option<ItemSort>,
    pub order: Option<Order>,
}

impl CommandRequest for SellingParams {
    fn token(&self) -> String {
        self.token.clone()
    }

    fn user_id(&self) -> Option<UserID> {
        None
    }
}
